<?php
// $Id: discussthis.autocomplete.inc,v 1.1.2.1 2009/08/13 08:41:17 alexiswilke Exp $
/**
 * @file
 *
 * The function to compute the autocomplete string.
 */


/**
 * Autocomplete a forum topic discussion title
 **/
function discussthis_autocomplete($tid, $string = '') {
  // The user enters a title for a forum topic.
  if ($string != '') {

    // current user has the right to do that?!
    if (!user_access('access content')) {
      drupal_access_denied();
      return;
    }

    // Grab the first 10 forum nodes with titles like the string typed by the user
    $result = db_query_range(db_rewrite_sql("SELECT n.nid, n.title FROM {node} n WHERE n.type = 'forum' AND LOWER(n.title) LIKE LOWER('%s%%')"), $string, 0, 10);

    $matches = array();
    while ($node = db_fetch_object($result)) {
      $n = $node->title;

      // Quote any commas or doublequotes for security reasons (XSS)
      if (strpos($node->title, ',') !== FALSE || strpos($node->title, '"') !== FALSE) {
        $n = '"'. str_replace('"', '""', $node->title) .'"';
      }
      $matches[$n] = check_plain($node->title);
    }

    echo drupal_to_js($matches);
    exit();
  }
}

